import { IapticStripe } from './iaptic-stripe';
import { Purchase } from './types';
/**
 * Represents a scheduled refresh for a subscription
 */
export interface ScheduledRefresh {
    /** Unique identifier for the scheduled refresh */
    id: string;
    /** Unique identifier for the subscription */
    subscriptionId: string;
    /** Date and time of the scheduled refresh */
    scheduledAt: number;
    /** Whether the refresh has been completed */
    completed: boolean;
    /** Whether the refresh is currently in progress */
    inProgress: boolean;
    /** Reason for the scheduled refresh */
    reason: string;
}
export declare class RefreshScheduler {
    schedules: ScheduledRefresh[];
    private iapticStripe;
    constructor(iapticStripe: IapticStripe);
    private setTimeout;
    scheduleRefresh(subscriptionId: string, date: Date, reason: string): void;
    schedulePurchaseRefreshes(purchase: Purchase): void;
    clearSchedules(): void;
}
